<?php

namespace Drupal\Tests\commerce_swiss_post\Unit;

use Drupal\commerce_swiss_post\AddressVerification;
use Drupal\Tests\UnitTestCase;

/**
 * @coversDefaultClass \Drupal\commerce_swiss_post\AddressVerification
 *
 * @group commerce
 * @group commerce_swiss_post
 * @group commerce_swiss_post_unit
 */
class AddressVerificationTest extends UnitTestCase {

  /**
   * @covers ::verifyAddress
   *
   * @dataProvider providerAddressData
   */
  public function testSetEventDetailViews($address, $expected) {
    $matches = AddressVerification::extractStreetParts($address);
    $this->assertSame($expected, $matches);
  }

  /**
   * List of supported event data.
   *
   * @return array
   *   Examples of event data structure by event types.
   */
  public function providerAddressData() {
    return [
      [
        '15, Foo bar street',
        [
          'street' => 'Foo bar street',
          'house_no' => '15',
          'house_no_addition' => '',
        ],
      ],
      [
        '15a,Foo bar street',
        [
          'street' => 'Foo bar street',
          'house_no' => '15',
          'house_no_addition' => 'a',
        ],
      ],
      [
        'Foo. bar street, 15b',
        [
          'street' => 'Foo. bar street,',
          'house_no' => '15',
          'house_no_addition' => 'b',
        ],
      ],
    ];
  }

}
